Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79979 - metacity doesn't display Japanese in titlebars of certain apps
Summary: metacity doesn't display Japanese in titlebars of certain apps
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: metacity
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2002-12-18 10:56 UTC by Jens Petersen
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-15 00:31:53 UTC


Attachments (Terms of Use)

Description Jens Petersen 2002-12-18 10:56:32 UTC
Description of problem:
Metacity is no longer displaying Japanese in the titlebars
of lots of applications (eg galeon, xemacs, kterm and others).

Version-Release number of selected component (if applicable):
Recent versions (eg 2.4.8-1, 2.4.5.90-1)

How reproducible:
Every time.

Steps to Reproduce:
% galeon http://www.yahoo.co.jp/
or
% kterm -T "<Japanese-text-here>"

Actual results:
Blank titlebar.

Expected results:
Japanese text in titlebar.

Additional info:
Title is displayed correctly in tasklist.
On the other hand, mozilla-1.0 and gtk2 apps seem to be ok.
This was working fine in 8.0 (Psyche).

Comment 1 Havoc Pennington 2002-12-18 20:06:43 UTC
This is fixed in metacity CVS version, we'll get the fix on upgrade.

Comment 2 Havoc Pennington 2003-01-15 00:31:53 UTC
2.4.13 should have the fix.


Note You need to log in before you can comment on or make changes to this bug.